> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Merged timeline of comments, logs, and activity for an entity



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/timeline
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/timeline:
    get:
      tags:
        - Timeline
      summary: Merged timeline of comments, logs, and activity for an entity
      operationId: TimelineController_getTimeline
      parameters:
        - name: entityId
          required: true
          in: query
          description: Entity ID to query comments for
          schema:
            type: string
        - name: entityType
          required: true
          in: query
          description: Type of entity
          schema:
            type: string
            enum:
              - CASE
              - DETECTION
        - name: highlighted
          required: false
          in: query
          description: When true, only return highlighted timeline entries
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TimelineEntry'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    TimelineEntry:
      type: object
      properties:
        type:
          type: string
          description: Type of timeline entry
          enum:
            - case_created
            - detection_added
            - escalated
            - contained
            - status_change
            - verdict_change
            - next_step_completed
            - chat_attached
            - comment
            - system
        content:
          type: string
          description: Display text for the timeline entry
        timestamp:
          type: string
          description: Timestamp of the timeline event
        debug:
          type: boolean
          description: Whether this is a debug-only entry
        metadata:
          description: Type-specific metadata (e.g. comment author, detection SID)
          additionalProperties: true
          allOf:
            - $ref: '#/components/schemas/TimelineEntryMetadata'
        isHighlighted:
          type: boolean
          description: Whether this entry should be included in highlights
      required:
        - type
        - content
        - timestamp
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    TimelineEntryMetadata:
      type: object
      properties:
        entities:
          description: Entities referenced in the timeline entry
          type: array
          items:
            $ref: '#/components/schemas/TimelineEntity'
        description:
          type: string
          description: Description of the timeline entry
        integrationPlatform:
          type: string
          description: Integration platform of the timeline entry
        attributedPlatform:
          type: string
          description: >-
            Overrides integrationPlatform for logo attribution. Use "wirespeed"
            to force the Wirespeed logo.
        wirespeedLink:
          type: string
          description: Link to elsewhere in Wirespeed
        verdictRuleCategory:
          type: string
        verdictRule:
          type: string
        verdict:
          type: string
    TimelineEntity:
      type: object
      properties:
        entityType:
          type: string
          description: Type of entity
          enum:
            - CASE
            - TEAM
            - FILE
            - DOMAIN
            - IP_ADDRESS
            - USER_AGENT
            - LOCATION
            - PROCESS
            - ENDPOINT
            - INTEGRATION
            - USER
            - DETECTION
            - EXCLUSION
        entityId:
          type: string
          description: ID of the entity
        text:
          type: string
          description: Text of the entity
      required:
        - entityType
        - entityId
        - text
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Team API key sent as a Bearer token. Create a key in Wirespeed under
        Settings → Team. See
        https://docs.wirespeed.co/api-reference/authentication.

````